Subject: Contradictory conventions with new command kbd-macro-display

From: Stefan Kangas <[email-masked]>
Date: Tue, 21 Sep 2021 16:22:26 -0700

Severity: minor

`kbd-macro-display' is a new command in Emacs 28 bound to `C-x C-k Q'.
(See commit d4e9d191aeba.)

However, the `kmacro-bind-to-key' docstring says:

    The key sequences [C-x C-k 0] through [C-x C-k 9] and [C-x C-k A]
    through [C-x C-k Z] are reserved for user bindings, and to bind to
    one of these sequences, just enter the digit or letter, rather than
    the whole sequence.

This advice seems to conflict with the chosen key binding for
`kbd-macro-display'.